## ros-one-rqt-ez-publisher 0.6.1-3jammy.20251023.0939

=== debian/changelog ===
ros-one-rqt-ez-publisher (0.6.1-3jammy.20251023.0939) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 23 Oct 2025 09:39:57 +0000

ros-one-rqt-ez-publisher (0.6.1-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 23 Oct 2025 09:39:57 -0000

ros-one-rqt-ez-publisher (0.6.0-0jammy) jammy; urgency=high

  * Use 1000000 as max value
  * Changes for noetic
  * Move test to model_ros_test.py because it needs roscore
  * Fix test
  * Add test for set_msg_attribute_value
  * Fix uint8 array
    uint8 becomes str instead of array.
  * Merge branch 'melodic-devel' of https://github.com/OTL/rqt_ez_publisher into melodic-devel
  * Update .travis.yml for melodic release
  * Update .travis.yml for melodic release
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 30 May 2020 00:00:00 -0000

ros-one-rqt-ez-publisher (0.5.0-0jammy) jammy; urgency=high

  * Add congigure checkbox and publish button by rein, thank you

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 03 Mar 2017 00:00:00 -0000

ros-one-rqt-ez-publisher (0.4.0-0jammy) jammy; urgency=high

  * Update config dialog for Qt5
  * Migrate to Qt5
  * Merge pull request #23 <https://github.com/OTL/rqt_ez_publisher/issues/23> from felixduvallet/travis_fix
    Fix travis script
  * Fix python import path by sourcing devel/setup.bash.
  * Contributors: Felix Duvallet, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Wed, 26 Oct 2016 00:00:00 -0000

ros-one-rqt-ez-publisher (0.3.2-0jammy) jammy; urgency=high

  * Fix JointTrajectory issue #22
  * Apply pep8
  * Merge pull request #21 from felixduvallet/travis_ci
    It seems nice!
  * Merge pull request #20 from felixduvallet/load_from_file_fix
    fix problem with loading yaml slider config file
  * Add travis CI for package.
  * fix problem with loading yaml slider config file.
  * remove trailing whitespace.
  * Contributors: Felix Duvallet, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 06 May 2016 00:00:00 -0000

ros-one-rqt-ez-publisher (0.3.1-0jammy) jammy; urgency=high

  * Fix save/load dialog
  * Search from deeper topic name
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Mon, 11 Apr 2016 00:00:00 -0000

ros-one-rqt-ez-publisher (0.3.0-0jammy) jammy; urgency=high

  * Add save/load button in config dialog
  * Support yaml setting file
  * Support action in devel environment
  * update some log messages

 -- Takashi Ogura <t.ogura@gmail.com>  Mon, 25 Aug 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.2.0-0jammy) jammy; urgency=high

  * Add tf for dependency
  * Refactoring
    - Use base_widget
    - divided widgets into widget/
    - moved publishers into publisher/
    - rpy to quaternion_module/
  * do not create header/seq
  * Convert Quaternion to RPY

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 19 Jul 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.1.0-0jammy) jammy; urgency=high

  * Change default for double 1.0
  * Support tf and header
  * fix bug with array
  * fix type bug

 -- Takashi Ogura <t.ogura@gmail.com>  Sun, 13 Jul 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.0.5-0jammy) jammy; urgency=high

  * Fix test wait

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 11 Jul 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.0.4-0jammy) jammy; urgency=high

  * Update for indigo
  * Fix NoneType error for make_topic_string
  * Clean codes (applied pep8)
  * Support byte
  * Add sphinx doc

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 11 Jul 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.0.3-0jammy) jammy; urgency=high

  * Add tests that uses ros
  * Support array of non builtin type
  * add build status in README.md
  * Add config dialog, reload button

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 05 Jul 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.0.2-0jammy) jammy; urgency=high

  * MoveUP/Down and use icon
  * Fix cmake (remove python packages from find_package)
  * Support repeat publish
  * support Header
  * add queue_size for publisher for indigo
  * for python3

 -- Takashi Ogura <t.ogura@gmail.com>  Sun, 29 Jun 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.0.1-0jammy) jammy; urgency=high

  * more easy topic publisher

 -- Takashi Ogura <t.ogura@gmail.com>  Sun, 29 Jun 2014 00:00:00 -0000

## ros-one-rqt-ez-publisher 0.6.1-3jammy.20260221.2115

=== debian/changelog ===
ros-one-rqt-ez-publisher (0.6.1-3jammy.20260221.2115) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 21 Feb 2026 21:15:57 +0000

## ros-one-rqt-ez-publisher 0.6.1-3noble.20251023.0953

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_ez_publisher)

find_package(catkin REQUIRED COMPONENTS rostest)

catkin_python_setup()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/function_test.py)
  add_rostest(test/ros.test)
endif()

install(FILES
  plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_ez_publisher
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rqt_ez_publisher.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rqt_ez_publisher.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rqt_ez_publisher"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rqt_ez_publisher"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ros-one-rqt-ez-publisher (0.6.1-3noble.20251023.0953) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 23 Oct 2025 09:53:06 +0000

ros-one-rqt-ez-publisher (0.6.1-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 23 Oct 2025 09:53:06 -0000

ros-one-rqt-ez-publisher (0.6.0-0noble) noble; urgency=high

  * Use 1000000 as max value
  * Changes for noetic
  * Move test to model_ros_test.py because it needs roscore
  * Fix test
  * Add test for set_msg_attribute_value
  * Fix uint8 array
    uint8 becomes str instead of array.
  * Merge branch 'melodic-devel' of https://github.com/OTL/rqt_ez_publisher into melodic-devel
  * Update .travis.yml for melodic release
  * Update .travis.yml for melodic release
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 30 May 2020 00:00:00 -0000

ros-one-rqt-ez-publisher (0.5.0-0noble) noble; urgency=high

  * Add congigure checkbox and publish button by rein, thank you

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 03 Mar 2017 00:00:00 -0000

ros-one-rqt-ez-publisher (0.4.0-0noble) noble; urgency=high

  * Update config dialog for Qt5
  * Migrate to Qt5
  * Merge pull request #23 <https://github.com/OTL/rqt_ez_publisher/issues/23> from felixduvallet/travis_fix
    Fix travis script
  * Fix python import path by sourcing devel/setup.bash.
  * Contributors: Felix Duvallet, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Wed, 26 Oct 2016 00:00:00 -0000

ros-one-rqt-ez-publisher (0.3.2-0noble) noble; urgency=high

  * Fix JointTrajectory issue #22
  * Apply pep8
  * Merge pull request #21 from felixduvallet/travis_ci
    It seems nice!
  * Merge pull request #20 from felixduvallet/load_from_file_fix
    fix problem with loading yaml slider config file
  * Add travis CI for package.
  * fix problem with loading yaml slider config file.
  * remove trailing whitespace.
  * Contributors: Felix Duvallet, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 06 May 2016 00:00:00 -0000

ros-one-rqt-ez-publisher (0.3.1-0noble) noble; urgency=high

  * Fix save/load dialog
  * Search from deeper topic name
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Mon, 11 Apr 2016 00:00:00 -0000

ros-one-rqt-ez-publisher (0.3.0-0noble) noble; urgency=high

  * Add save/load button in config dialog
  * Support yaml setting file
  * Support action in devel environment
  * update some log messages

 -- Takashi Ogura <t.ogura@gmail.com>  Mon, 25 Aug 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.2.0-0noble) noble; urgency=high

  * Add tf for dependency
  * Refactoring
    - Use base_widget
    - divided widgets into widget/
    - moved publishers into publisher/
    - rpy to quaternion_module/
  * do not create header/seq
  * Convert Quaternion to RPY

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 19 Jul 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.1.0-0noble) noble; urgency=high

  * Change default for double 1.0
  * Support tf and header
  * fix bug with array
  * fix type bug

 -- Takashi Ogura <t.ogura@gmail.com>  Sun, 13 Jul 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.0.5-0noble) noble; urgency=high

  * Fix test wait

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 11 Jul 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.0.4-0noble) noble; urgency=high

  * Update for indigo
  * Fix NoneType error for make_topic_string
  * Clean codes (applied pep8)
  * Support byte
  * Add sphinx doc

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 11 Jul 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.0.3-0noble) noble; urgency=high

  * Add tests that uses ros
  * Support array of non builtin type
  * add build status in README.md
  * Add config dialog, reload button

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 05 Jul 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.0.2-0noble) noble; urgency=high

  * MoveUP/Down and use icon
  * Fix cmake (remove python packages from find_package)
  * Support repeat publish
  * support Header
  * add queue_size for publisher for indigo
  * for python3

 -- Takashi Ogura <t.ogura@gmail.com>  Sun, 29 Jun 2014 00:00:00 -0000

ros-one-rqt-ez-publisher (0.0.1-0noble) noble; urgency=high

  * more easy topic publisher

 -- Takashi Ogura <t.ogura@gmail.com>  Sun, 29 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-rqt-ez-publisher
Section: misc
Priority: optional
Maintainer: Takashi Ogura <t.ogura@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg, ros-one-catkin, ros-one-rostest
Homepage: http://wiki.ros.org/rqt_ez_publisher
Standards-Version: 3.9.2

Package: ros-one-rqt-ez-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-rospy, ros-one-rqt-gui, ros-one-rqt-gui-py, ros-one-rqt-py-common, ros-one-tf, ros-one-tf2-msgs
Description: The rqt_ez_publisher package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rqt-ez-publisher//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rqt-ez-publisher 0.6.1-3noble.20260221.2200

=== debian/changelog ===
ros-one-rqt-ez-publisher (0.6.1-3noble.20260221.2200) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 21 Feb 2026 22:00:55 +0000
